OpenTTD: src/ai/ai_instance.cpp File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
ai_instance.cpp File Reference

Implementation of AIInstance. More...

`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "../error.h"`
`#include "../script/squirrel_class.hpp"`
`#include "ai_config.hpp"`
`#include "ai_gui.hpp"`
`#include "ai.hpp"`
`#include "../script/script_storage.hpp"`
`#include "ai_info.hpp"`
`#include "ai_instance.hpp"`
`#include "../script/api/template/template_text.hpp.sq"`
`#include "../script/api/ai/ai_accounting.hpp.sq"`
`#include "../script/api/ai/ai_airport.hpp.sq"`
`#include "../script/api/ai/ai_base.hpp.sq"`
`#include "../script/api/ai/ai_basestation.hpp.sq"`
`#include "../script/api/ai/ai_bridge.hpp.sq"`
`#include "../script/api/ai/ai_bridgelist.hpp.sq"`
`#include "../script/api/ai/ai_cargo.hpp.sq"`
`#include "../script/api/ai/ai_cargolist.hpp.sq"`
`#include "../script/api/ai/ai_company.hpp.sq"`
`#include "../script/api/ai/ai_controller.hpp.sq"`
`#include "../script/api/ai/ai_date.hpp.sq"`
`#include "../script/api/ai/ai_depotlist.hpp.sq"`
`#include "../script/api/ai/ai_engine.hpp.sq"`
`#include "../script/api/ai/ai_enginelist.hpp.sq"`
`#include "../script/api/ai/ai_error.hpp.sq"`
`#include "../script/api/ai/ai_event.hpp.sq"`
`#include "../script/api/ai/ai_event_types.hpp.sq"`
`#include "../script/api/ai/ai_execmode.hpp.sq"`
`#include "../script/api/ai/ai_gamesettings.hpp.sq"`
`#include "../script/api/ai/ai_group.hpp.sq"`
`#include "../script/api/ai/ai_grouplist.hpp.sq"`
`#include "../script/api/ai/ai_industry.hpp.sq"`
`#include "../script/api/ai/ai_industrylist.hpp.sq"`
`#include "../script/api/ai/ai_industrytype.hpp.sq"`
`#include "../script/api/ai/ai_industrytypelist.hpp.sq"`
`#include "../script/api/ai/ai_infrastructure.hpp.sq"`
`#include "../script/api/ai/ai_list.hpp.sq"`
`#include "../script/api/ai/ai_log.hpp.sq"`
`#include "../script/api/ai/ai_map.hpp.sq"`
`#include "../script/api/ai/ai_marine.hpp.sq"`
`#include "../script/api/ai/ai_order.hpp.sq"`
`#include "../script/api/ai/ai_rail.hpp.sq"`
`#include "../script/api/ai/ai_railtypelist.hpp.sq"`
`#include "../script/api/ai/ai_road.hpp.sq"`
`#include "../script/api/ai/ai_sign.hpp.sq"`
`#include "../script/api/ai/ai_signlist.hpp.sq"`
`#include "../script/api/ai/ai_station.hpp.sq"`
`#include "../script/api/ai/ai_stationlist.hpp.sq"`
`#include "../script/api/ai/ai_subsidy.hpp.sq"`
`#include "../script/api/ai/ai_subsidylist.hpp.sq"`
`#include "../script/api/ai/ai_testmode.hpp.sq"`
`#include "../script/api/ai/ai_tile.hpp.sq"`
`#include "../script/api/ai/ai_tilelist.hpp.sq"`
`#include "../script/api/ai/ai_town.hpp.sq"`
`#include "../script/api/ai/ai_townlist.hpp.sq"`
`#include "../script/api/ai/ai_tunnel.hpp.sq"`
`#include "../script/api/ai/ai_vehicle.hpp.sq"`
`#include "../script/api/ai/ai_vehiclelist.hpp.sq"`
`#include "../script/api/ai/ai_waypoint.hpp.sq"`
`#include "../script/api/ai/ai_waypointlist.hpp.sq"`
`#include "../company_base.h"`
`#include "../company_func.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
void | CcAI (const CommandCost &result, TileIndex tile, uint32 p1, uint32 p2)
| DoCommand callback function for all commands executed by AIs.

## Detailed Description

Implementation of AIInstance.

Definition in file ai_instance.cpp.

## Function Documentation

void CcAI | ( | const CommandCost & | result,
|  | TileIndex | tile,
|  | uint32 | p1,
|  | uint32 | p2
| ) |  |

DoCommand callback function for all commands executed by AIs.

Parameters

  result | The result of the command.
  tile | The tile on which the command was executed.
  p1 | p1 as given to DoCommandPInternal.
  p2 | p2 as given to DoCommandPInternal.

Definition at line 252 of file ai_instance.cpp.

References _current_company, ScriptInstance::Continue(), ScriptInstance::DoCommandCallback(), and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::GetIfValid().